/*********************************************************************
 * 全体
 */
button {
  font-size: 20pt;
}
input {
  font-size: 20pt;
}
input[type="text"] {
  width: 5em;
}
input[type="number"] {
  width: 3em;
}
select {
  font-size: 20pt;
}

/*********************************************************************
 * JavaScript 注意書き
 */
#javascript_notice_container {
  color: red;
  font-weight: bold;
  font-size: 18pt;
  border: 5px solid pink;
  text-align: center;
}

/*********************************************************************
 * フォーム
 */
#session_name_container {
  float: right;
}
#main_form fieldset {
  margin-top: 1lh;
}

#main_form dl {
  display: grid;
  grid-template-columns: max-content auto;
}
#main_form dt {
  grid-column-start: 1;
}
#main_form dd {
  grid-column-start: 2;
}
#main_form input[type="radio"] {
  margin-left: 1em;
}
#moon_observation_day {
  width: 7em;
}
#sun_observation_day {
  width: 7em;
}
#submit_button_container {
  text-align: center;
  margin-top: 1lh;
  margin-bottom: 1lh;
}
#submit_button_container > button {
  width: 100%;
}

/*********************************************************************
 * マップ
 */
#map_grid {
  display: grid;
  height: 98vh;
  grid-auto-columns: 1fr;
  grid-auto-rows: min-content auto;
}
#map_grid_ui {
  text-align: center;
  grid-row: 1;
}
#map_container {
  grid-row: 2;
  border: 1px solid black;
}

/*********************************************************************
 * プログレスバー
 */
#progress_ui {
  margin-top: 40vh;
  width: 100%;
}
#progressbar {
  position: relative;
  width: 100%;
  height: 2lh;
}
#progress_gauge {
  display: block;
  border-bottom: 1px solid darkblue;
  border-right: 2px solid darkblue;
  background-color: lightblue;
  height: 2lh;
  width: 1px;
}
#progress_label {
  position: absolute;
  left: 50%;
  top: 4px;
  font-weight: bold;
  text-shadow: 2px 2px 0 #fff;
}
